#
# spec file for package sluice
#
# Copyright (c) 2016, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sluice
Version:        0.02.04
Release:        2.5
Summary:        Rate limiting data piping tool
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://kernel.ubuntu.com/~cking/sluice/
Source:         http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sluice reads from standard input and write to standard output at a specified
data rate. This can be useful for benchmarking and exercising I/O streaming at
desired throughput rates. 

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/sluice
%{_mandir}/man1/*

%changelog
* Sat Jul 30 2016 mardnh@gmx.de
- update to version 0.02.04
  * Makefile: bump version
  * debian/control: update Standards-Version to 3.9.8
- update to version 0.02.03
  * Makefile bunp version
  * reduce scope of variable ret
  * Update date in manual
  * Don't centre table in man page
  * Add -x pipe transfer size option
  * Update copyright year
* Wed Nov 11 2015 mardnh@gmx.de
- initial package
